repo/gentoo:master commit in: dev-python/pythran/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1787065977.bb9bd5c31d6038a5e826bc6e35cb49589786d23b.mgorny@gentoo> |
commit: bb9bd5c31d6038a5e826bc6e35cb49589786d23b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 01:30:25 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 18 15:12:57 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb9bd5c3
dev-python/pythran: Bump to 0.19.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pythran/Manifest | 1 +
dev-python/pythran/pythran-0.19.0.ebuild | 118 +++++++++++++++++++++++++++++++
2 files changed, 119 insertions(+)
diff --git a/dev-python/pythran/Manifest b/dev-python/pythran/Manifest
index 2d3b59a9d0e1..743d226f4818 100644
--- a/dev-python/pythran/Manifest
+++ b/dev-python/pythran/Manifest
@@ -1,2 +1,3 @@
DIST pythran-0.18.1.gh.tar.gz 3714257 BLAKE2B 711f271297a6012a88a696df749efda8ca4c53e236a646bf2285ba80d0151b1117492c024eb8ab2e5f7337b1f9838332dba480a00a9c2a9216cbbeda78f971a8 SHA512 15650627b9396b49401067c3a7c161d1569f89f29a08243aa85659023e42ce028633915c51c8c5188a5599c201eb30aa2721d64ba766b2a252203469bc6e2ab1
+DIST pythran-0.19.0.gh.tar.gz 3781504 BLAKE2B 64e7410521197da1b559aca91e05d8244691172f04c3da4b2de701b96380a4905fa578e44b2ac51a8cd8f880ca7cbfc02576469b7017f7b3a0a708267c5f8f02 SHA512 e7238cdba1e6ab61f8268f52bc7224600ee5db9e54928d78c379ea61da4e00f121fcb03a9666ce0db1f3e3d9755695b6a9dd4f22f770bb554f5e438f04b4f37c
DIST pythran-0.19.0.rc1.gh.tar.gz 3781467 BLAKE2B d33b42a9c0aaed95ddc6598b3b745d0a1bae4d96314491c39c83a15fb5677751abb40e17de36beacc4935fec2591862140ea88071ca2520c24f819fbcbafebc9 SHA512 2e865446cf2799db0ac56ac6b91dc23827432ad1af0d012c86bf26225683dc6e3bbe90c3d1dec775d1aaacb3f7f63afc99a1474972df3fcccd5085ec34d27611
diff --git a/dev-python/pythran/pythran-0.19.0.ebuild b/dev-python/pythran/pythran-0.19.0.ebuild
new file mode 100644
index 000000000000..b33817215b6f
--- /dev/null
+++ b/dev-python/pythran/pythran-0.19.0.ebuild
@@ -0,0 +1,118 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+MY_P=${P/_/.}
+DESCRIPTION="Ahead of Time compiler for numeric kernels"
+HOMEPAGE="
+ https://pypi.org/project/pythran/
+ https://github.com/serge-sans-paille/pythran/
+"
+SRC_URI="
+ https://github.com/serge-sans-paille/pythran/archive/${PV/_/.}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~s390 ~sparc ~x86"
+fi
+
+RDEPEND="
+ dev-libs/boost
+ dev-cpp/xsimd
+ >=dev-python/beniget-0.5[${PYTHON_USEDEP}]
+ >=dev-python/gast-0.7[${PYTHON_USEDEP}]
+ dev-python/numpy:=[${PYTHON_USEDEP}]
+ >=dev-python/ply-3.4[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-73.0.1[${PYTHON_USEDEP}]
+"
+DEPEND="
+ test? (
+ dev-libs/boost
+ dev-cpp/xsimd
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ virtual/cblas
+ !!dev-python/setuptools-declarative-requirements
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # vendored C++ headers -- use system copies
+ rm -r pythran/{boost,xsimd} || die
+
+ # https://bugs.gentoo.org/916461
+ sed -i \
+ -e 's|blas=blas|blas=cblas|' \
+ -e 's|libs=|libs=cblas|' \
+ pythran/pythran-*.cfg || die
+
+ # unpin dependencies
+ sed -i -e 's:~=:>=:' requirements.txt || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # multiple extra deps (meson, openblas)
+ # also broken on pypy3*
+ pythran/tests/test_distutils.py::TestMeson::test_meson_build
+ # numpy.distutils is dead and broken
+ pythran/tests/test_distutils.py::TestDistutils
+ # numpy changes
+ pythran/tests/test_numpy_func0.py::TestNumpyFunc0::test_cross1
+ pythran/tests/test_numpy_func0.py::TestNumpyFunc0::test_cross4
+ )
+ local EPYTEST_IGNORE=(
+ pythran/benchmarks
+ )
+
+ if ! has_version "dev-python/ipython[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ pythran/tests/test_ipython.py
+ )
+ fi
+
+ case ${ARCH} in
+ arm)
+ EPYTEST_DESELECT+=(
+ # TODO
+ pythran/tests/test_numpy_fft.py::TestNumpyFFT::test_fft_3d_axis
+ pythran/tests/test_numpy_fft.py::TestNumpyFFTN
+ )
+ ;;
+ esac
+
+ case ${EPYTHON} in
+ python3.15*)
+ EPYTEST_DESELECT+=(
+ pythran/tests/test_array.py::TestArray::test_typecodes
+ )
+ ;;
+ esac
+
+ # can easily fill up ccache with no real benefit
+ local -x CCACHE_DISABLE=1
+ local -x COLUMNS=80
+ epytest
+}